<!DOCTYPE html>
<html><head>
<title>eric7.MicroPython.Devices.CircuitPythonUpdater.ShowOutdatedDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.MicroPython.Devices.CircuitPythonUpdater.ShowOutdatedDialog</h1>
<p>
Module implementing a dialog to show outdated modules of a connected device.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#ShowOutdatedDialog">ShowOutdatedDialog</a></td>
<td>Class implementing a dialog to show outdated modules of a connected device.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="ShowOutdatedDialog" ID="ShowOutdatedDialog"></a>
<h2>ShowOutdatedDialog</h2>
<p>
    Class implementing a dialog to show outdated modules of a connected device.
</p>

<h3>Derived from</h3>
QDialog, Ui_ShowOutdatedDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#ShowOutdatedDialog.__init__">ShowOutdatedDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#ShowOutdatedDialog.__checkCountUpdated">__checkCountUpdated</a></td>
<td>Private method to handle an update of the check count.</td>
</tr>
<tr>
<td><a href="#ShowOutdatedDialog.getSelection">getSelection</a></td>
<td>Public method to get the list of selected modules.</td>
</tr>
<tr>
<td><a href="#ShowOutdatedDialog.on_modulesList_itemChanged">on_modulesList_itemChanged</a></td>
<td>Private slot to handle a change of the check state of an item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="ShowOutdatedDialog.__init__" ID="ShowOutdatedDialog.__init__"></a>
<h4>ShowOutdatedDialog (Constructor)</h4>
<b>ShowOutdatedDialog</b>(<i>devicePath, selectionMode=False, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>devicePath</i> (str)</dt>
<dd>
path to the connected board
</dd>
<dt><i>selectionMode</i> (bool (optional))</dt>
<dd>
flag indicating the activation of the selection mode
            (defaults to False)
</dd>
<dt><i>parent</i> (QWidget (optional))</dt>
<dd>
reference to the parent widget (defaults to None)
</dd>
</dl>
<a NAME="ShowOutdatedDialog.__checkCountUpdated" ID="ShowOutdatedDialog.__checkCountUpdated"></a>
<h4>ShowOutdatedDialog.__checkCountUpdated</h4>
<b>__checkCountUpdated</b>(<i></i>)
<p>
        Private method to handle an update of the check count.
</p>

<a NAME="ShowOutdatedDialog.getSelection" ID="ShowOutdatedDialog.getSelection"></a>
<h4>ShowOutdatedDialog.getSelection</h4>
<b>getSelection</b>(<i></i>)
<p>
        Public method to get the list of selected modules.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of selected modules
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
circup.Module
</dd>
</dl>
<a NAME="ShowOutdatedDialog.on_modulesList_itemChanged" ID="ShowOutdatedDialog.on_modulesList_itemChanged"></a>
<h4>ShowOutdatedDialog.on_modulesList_itemChanged</h4>
<b>on_modulesList_itemChanged</b>(<i>item, column</i>)
<p>
        Private slot to handle a change of the check state of an item.
</p>

<dl>

<dt><i>item</i> (QTreeWidgetItem)</dt>
<dd>
reference to the changed item
</dd>
<dt><i>column</i> (int)</dt>
<dd>
changed column
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
